Bug 111915 - Update port: make setuid operation configurable
Summary: Update port: make setuid operation configurable
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-19 20:40 UTC by Sten Spans
Modified: 2007-05-30 07:00 UTC (History)
0 users

See Also:


Attachments
file.diff (3.51 KB, patch)
2007-04-19 20:40 UTC, Sten Spans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sten Spans 2007-04-19 20:40:10 UTC
Make setuid operation and user creation configurable, as requested by users
Comment 1 Edwin Groothuis freebsd_committer 2007-04-19 22:05:08 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer)
Comment 2 Edwin Groothuis freebsd_committer 2007-04-19 22:05:39 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 sten 2007-04-19 22:46:46 UTC
On Thu, 19 Apr 2007, Edwin Groothuis wrote:

> Maintainer of dns/powerdns-recursor,
>
> Please note that PR ports/111915 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.

I approve this patch.

-- 
Sten Spans

"There is a crack in everything, that's how the light gets in."
Leonard Cohen - Anthem
Comment 4 Edwin Groothuis freebsd_committer 2007-05-01 23:16:05 UTC
State Changed
From-To: feedback->open

Maintainer approved
Comment 5 dfilter service freebsd_committer 2007-05-30 06:51:32 UTC
miwi        2007-05-30 05:51:26 UTC

  FreeBSD ports repository

  Modified files:
    dns/powerdns-recursor Makefile 
    dns/powerdns-recursor/files patch-pdns_nameserver.cc 
  Added files:
    dns/powerdns-recursor/files extrapatch-setuid 
  Log:
  - Make setuid operation and user creation configurable, as requested by users
  
  PR:             111915
  Submitted by:   Sten Spans <sten@blinkenlights.nl> (maintainer)
  
  Revision  Changes    Path
  1.7       +10 -3     ports/dns/powerdns-recursor/Makefile
  1.1       +13 -0     ports/dns/powerdns-recursor/files/extrapatch-setuid (new)
  1.2       +0 -11     ports/dns/powerdns-recursor/files/patch-pdns_nameserver.cc
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Martin Wilke freebsd_committer 2007-05-30 06:51:33 UTC
State Changed
From-To: open->closed

Committed. Thanks!